Skip to main content

Brokerage Calculator

Request to be POSTed to uri : /NorenWClientAPI/GetBrokerage

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*User Id
actid*Account Id
exch*Exchange Segment
tsym*Trading Symbol
qty*Quantity
prc*Price
prd*Product
trantype*Transaction Type

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetBrokerage' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO","actid":"DEMO", "exch":"NSE", "tsym":"ACC-EQ","qty":"10","prc":"100","prd":"I","trantype":"B"}

Response Details :

Response data will be in json format with below fields.

Json FieldsPossible valueDescription
request_timeThis will be present only in a successful response.
statOk or Not_Oksuccess or failure message.
brkage_amtBrokerage Amount
stt_amtSTT/CTT Amount
exch_chrgExchange Charges
sebi_chrgSEBI Charges
stamp_dutyStamp Charges
clr_chrgClearing Charges
gstGST
tot_chrgTotal charges
remarksRemarks
urlUrl
ipft_amtIPFT charges amount
cm_amtCM charges amount

Sample Success Response :

{
request_time: 11:36:43 27-12-2022,
stat: Ok,
brkage_amt: 0.00,
stt_amt: 2.00,
exch_chrg: 0.09,
sebi_chrg: 0.01,
stamp_duty: 0.37,
clr_chrg: 0.00,
gst: 0.02,
tot_chrg: 2.49,
remarks: 2,
url: matsya.kambala.co.in
}

Sample Failure Response :

{
"stat":"Not_Ok",
"emsg":"Invalid Input : jData is Missing."
}